;DebugMsgEnable

; HIVE BOOT SECTION
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control]
	"PlatformName"="YUANFENG"
	"OEMINfo"="TN-710 BT"
	"RomVersion"="RomVersion : PF86V2"
	"DeviceCode"="NVX225"
	"MapCode"="iGONA@0610"
	"UUIDType"=dword:3
	"CFGDate"="2010.12.20"
; END HIVE BOOT SECTION

[HKEY_LOCAL_MACHINE\HARDWARE\DEVICEMAP\TOUCH]
	"MaxCalError"=dword:f
;USER_PARAM_START
	;"CalibrationData"="2058,2077 832,1230 830,2957 3321,2942 3312,1237 "
;USER_PARAM_END
	"XYOrder"=dword:0

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\BAK]
	;"BacklightEnable"="GPIO_"
	"BacklightPwm"=dword:1
	"PwmFreq"=dword:7D0
	"PwmOffVal"=dword:1F 
                 "PwmMaxVal"=dword:3C 
	"PwmPol"=dword:0
	"PowerUpDelay"=dword:C8
	"IsSensorValid"=dword:0

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\PWRBUTTON]
	"WakeSource"=dword:18	;ALARM0,ALARM1
	;"WakeSource"=dword:1C	;ALARM0,ALARM1,EXT_ON
	;"MuxKey"=dword:80C6	;menu
	"MuxKey"=dword:0	;none
	"OffKeyWait"=dword:258	;600ms
	"OffKeySound"="click.wav"
	"UseKeypadEvent"=dword:1



[HKEY_LOCAL_MACHINE\init\YFShortcuts]
	"\Windows\Desktop\GPS"="\Windows\RetShell.exe"
	"\Windows\Desktop\XLS"="\Windows\XLS.exe"
	"\Windows\Desktop\presviewer"="\Windows\presviewer.exe"
	"\Windows\Desktop\pdfviewer"="\Windows\pdfviewer.lnk"
	"\Windows\Desktop\imageviewer"="\Windows\imageviewer.exe"
	"\Windows\Desktop\docviewer"="\Windows\docviewer.exe"
	"\Windows\Desktop\WinRAR"="\Windows\WinRAR.exe"

;;;; Beep
[HKEY_LOCAL_MACHINE\init\YFInit]
	"BeepTest.exe"=-
	;"\Residentflash2\YFAPP\RDSVCOM2\LOADRDSVCOMDLL.exe"=dword:1

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\Serial1]
	"Prefix"="COM"
	"Index"=dword:4  ;<BuiltIn TMC=3, other=4>

;;;;for BC04/BC06
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\Serial0] 
	"Prefix"="URT"  
	"Index"=dword:8
	"FullRS232"=-          
	"DMAMode"=-           
	"RxFifoThreshold"=-    

;;;;for cilent and  roudtrun
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\Serial0] 
;	"Prefix"="COM"
;	"Index"=dword:2	
;	"FullRS232"=dword:0
;	"DMAMode"=dword:0
;	"RxFifoThreshold"=dword:20


[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\ROADTUNES]
	"Dll"=-
	"Order"=dword:4

[HKEY_LOCAL_MACHINE\Software\Microsoft\Bluetooth\Transports\BuiltIn\1]
	"driver"="bthcsr.dll"

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\BTPort]
	;"Dll"=-
	"PowerCtrl"="GPIO_0_0"
	"PowerCtrlPol"=dword:1
	"ResetCtrl"="GPIO_0_10"
	"ResetCtrlPol"=dword:0
	"ComPort"="URT8:"
	"AutoPowerOn"=dword:0

;;;;A&W BlueTooth++
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\GPIOREAD]
	"Dll"="GPIOREAD.dll"
	"Prefix"="ANW"
	"Order"=dword:1e
	"Index"=dword:1
	"FriendlyName"="ANW GPIOREAD Driver"
  	"SCL"=dword:3		;GPIO Group
  	"SCLindex"=dword:13	;GPIO Index
  	"SDA"=dword:3   	;GPIO Group
	"SDAindex"=dword:12	;GPIO Index

[-HKEY_LOCAL_MACHINE\Drivers\BuiltIn\HFPSvc]
[-HKEY_LOCAL_MACHINE\Drivers\BuiltIn\BTPairSvc]
[-HKEY_LOCAL_MACHINE\Services\BTAGSVC]
[-HKEY_LOCAL_MACHINE\Services\BTMODEM]
[-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\bluetooth\Audiogateway]
[-HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\bluetooth\modemgw]

[HKEY_LOCAL_MACHINE\software\Microsoft\Bluetooth\Sys]
	"COD"=dword:00200408

[HKEY_LOCAL_MACHINE\ExtModems\Bluetooth_dun]
	"port"="COM8:"
	"DeviceType"=dword: 1
	"FriendlyName"="Bluetooth DUN on COM8"

[HKEY_LOCAL_MACHINE\init]
	"Launch60"="servicesStart.exe"
	"Depend60"=hex:14, 00

[HKEY_LOCAL_MACHINE\Services\BTSVC]
	"Dll"="BTSVC_anw.Dll"
	"Order"=dword:10
	"Keep"=dword: 1
	"Prefix"="BTS"
	"Index"=dword: 1

[HKEY_LOCAL_MACHINE\Services\BTHFSVC]
	"Dll"="BTHFSVC_anw.Dll"
	"FriendlyName"="Bluetooth Hands-Free"
	"Prefix"="BHF"
	"Order"=dword:11
	"Keep"=dword: 1
	"Index"=dword: 0
	"IsEnabled"=dword: 1

[HKEY_LOCAL_MACHINE\Drivers\USB\FunctionDrivers\Serial_Class]
	"Index"=dword:9
;;;;A&W BlueTooth--


[HKEY_LOCAL_MACHINE\Drivers\USB\FunctionDrivers]
;USER_PARAM_START
   ;"DefaultClientDriver"="Serial_Class"
   "DefaultClientDriver"="Mass_Storage_Class"
;USER_PARAM_END

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\USBOTG1]
;	"LegacyHost"=dword:0	; Function only
	"OTGPortMode"=dword:2	; Function only
	"HighSpeed"=dword:1
	"AttachDelay"=dword:c8	;delay 200ms

[HKEY_LOCAL_MACHINE\Drivers\Display\AT_LCD1]
	"PowerDCtrl"="GPIO_0_6"
	"PowerDCtrlPol"=dword:1
	;"ResetCtrl"="GPIO_0_20"
	;"ResetCtrlPol"=dword:0
	"DispCtrl"="GPIO_0_20"
	"DispCtrlPol"=dword:1
	"CursorOn"=dword:0
	;"LcdDrvStrength"=dword:0 

[HKEY_LOCAL_MACHINE\SYSTEM\GDI\UNISCRIBE]
;USER_PARAM_START
	"DisableUniscribe"=dword:1	;disable uspce.dll default 1
;USER_PARAM_END

[HKEY_LOCAL_MACHINE\Software\Microsoft\Bluetooth\sys]
    "cntAcceptSync" =dword:1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\SCR]
	"USPPort"=dword:0
	"ResetCtrl"="GPIO_0_21"

[HKEY_LOCAL_MACHINE\SYSTEM\Explorer\Shell Folders]
	"Desktop"="\Windows\Desktop"

[HKEY_LOCAL_MACHINE\Drivers\USB\ClientDrivers\Mass_Storage_Class]
	"ResetTimeout"=dword:3E8         ;1000ms
	"CommandBlockTimeout"=dword:3E8  ;1000ms
	"CommandStatusTimeout"=dword:3E8 ;1000ms

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\FM]
	"Clk32KEn"=dword:1
	"PowerCtrl"="GPIO_0_13"
	"PowerCtrlPol"=dword:1
	"IICSCL"="GPIO_0_2"
	"IICSDA"="GPIO_0_3"
	"IICADDR"=dword:6c
	"ExtPower"=dword:1
	"RFGain"=dword:3B600FC

[HKEY_CURRENT_USER\ControlPanel\KeyMap]
	;For Application
	"VK_MENU"=dword:C6
	"VK_VOLUME_UP"=dword:C7
	"VK_VOLUME_DOWN"=dword:C8
	;For Driver
	;"GPIO_0_0"=dword:80C6	;VK_MENU
	"KeySound"=dword:1
	"KeyRepeat"=dword:1
	"KeyGotoCE"=dword:0000C6C7	;menu + volume_up
	"UseKeypadEvent"=dword:1

[HKEY_LOCAL_MACHINE\SYSTEM\OOM]
	"ShowOomWindow"=dword:0


[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\INNOIF101]
	;"Dll"=-
	"SPIPort"=dword:0
	"PowerCtrl"="GPIO_0_7"
	"PowerCtrlPol"=dword:1
	"ResetCtrl"="GPIO_1_3"
	"ResetCtrlPol"=dword:0
	;"IntrPin"="GPIO_1_2"
	"IntrPin"=-

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\SPI0]
    "DMABufferSize"=dword:100  ;Unit KB; CMMB use 256KB DMA

[HKEY_LOCAL_MACHINE\Drivers\Siano\SianoSPI]
	"SPIPort"=dword:0
	"PowerCtrl"="GPIO_0_7"
	"PowerCtrlPol"=dword:1
	"ResetCtrl"="GPIO_1_3"
	"ResetCtrlPol"=dword:0
	"SPIIntrPin"="GPIO_1_2"

; HIVE BOOT SECTION
[HKEY_LOCAL_MACHINE\System\StorageManager\FATFS\Filters\CacheFilt]
	"EnableFileCache"=dword:0
; END HIVE BOOT SECTION

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\GPS]
	"PowerCtrl"="GPIO_3_22"
	"PowerCtrlPol"=dword:1
	"ResetCtrl"="GPIO_0_30"
	"ResetCtrlPol"=dword:0

; HIVE BOOT SECTION
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\sdmmcloader]
	"PlaySound"=dword:1
	"AutoRun"="YFAutoRun.inf"
	"CardDetect1"="GPIO_1_7"

[HKEY_LOCAL_MACHINE\Drivers\Builtin\SDBusDriver]
	"Order"=dword:0
	"Flags"=dword:1000

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\SDIOStandardHC]
	"Order"=dword:1
	"Flags"=dword:1000
	"SlotsEn"=dword:2
	"AutoDetect1"=dword:0
	"PrintCmd1"=dword:0
	;"BaseClockFrequency"=dword:15EF3C0	;23M
	"BaseClockFrequency"=dword:29020C0	;43M
	"ClockRateLimit0"=dword:29020C0	;43M
	"ClockRateLimit1"=dword:15EF3C0	;23M

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\SDIOStandardHC1]
	"Dll"=-
; END HIVE BOOT SECTION

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\MiscCtl]
	"USBDetect1"="GPIO_0_1"
	"UsbDetectPol1"=dword:1
	"UsbPullUpAuto"=dword:0
	"LightDetectChannel"=dword:2

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\MiscCtl\FloatPins]
	"GPIO_0_7"=dword:3	;CMMB power

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\MiscCtl\SleepGpio]
;	"GRP_EN0"=dword:FFFFFFFF
;	"GRP_IO0"=dword:41000020
;	"GRP_VAL0"=dword:BFFFFFDF
;	"GRP_EN1"=dword:FFFFFFFF
;	"GRP_IO1"=dword:B0783E00
;	"GRP_VAL1"=dword:4F87C1FF
;	"GRP_EN2"=dword:FFFFFFFF
;	"GRP_IO2"=dword:000203FE
;	"GRP_VAL2"=dword:FFFDFC01
;	"GRP_EN3"=dword:FFFFFFFF
;	"GRP_IO3"=dword:004FFC00
;	"GRP_VAL3"=dword:FFA03FFF
;	"GRP_EN4"=dword:FFFFFFFF
;	"GRP_IO4"=dword:0
;	"GRP_VAL4"=dword:FFFFFFFF
;	"GRP_EN5"=dword:AAAA5555
;	"GRP_IO5"=dword:0
;	"GRP_VAL5"=dword:0

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\Battery]
	"ADCChannel"=dword:1
	;"RefVoltage"=dword:09c4   ;2500
	"RefVoltage"=dword:0ce4   ;3300
	"SampleScale"=dword:20000 ;2X
	"MaximumVol"=dword:0fa0   ;4000
	"MinimumVol"=dword:0dac   ;3500
	"ShutdownVol"=dword:0dc0  ;3520
	"VoltageDelta"=dword:28   ;+40mv
	"CpuCanChangeClk"=dword:1
	"ChargeCheck"="GPIO_0_12"
	"ChargeCheckPol"=dword:0
	"BattLowSleepMode"=dword:3	;check BattFault and volatage at the same time
	;;;;for PMIC
	"PMICA5Pwrc"=dword:1
	"IsUsbCanCharge"=dword:1

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\WaveDev]
	;"PowerCtrl"="GPIO_"
	;"PowerCtrlPol"=dword:1
	"AutoDetectChip"=dword:1
	"EarDetect"="GPIO_0_4"
	"EarDetectPol"=dword:0
	"EarUseUSB"=dword:1
	"SpkAmpAlwaysOn"=dword:0
	"HeadphoneGainRange"=dword:790061
	"SpeakerGainRange"=dword:780061
	"FMOutGainRange"=dword:76730061
	"AmpCtrl"="GPIO_0_15"
	"AmpCtrlPol"=dword:1
	"ClassAtten1"=dword:9999
	"ClassAtten2"=dword:9999
	"ClassAtten3"=dword:9999
	"IICSCL"="GPIO_0_2"
	"IICSDA"="GPIO_0_3"
	"ResetCtrl"="GPIO_0_15"    ;;5625
	"ResetCtrlPol"=dword:0
	
[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\WaveDev\ALC5621]
	"ResetCtrl"="IO_0_15"     ;;;invalid  gpio
	"SpeakClass"=dword:0
	"Filter384FS"=dword:1
	"AddCtrlReg"=dword:c700
	"MicCtrlReg"=dword:0001		;mic1 boost 0db
	"MicInVolume"=dword:0000	;mic +12db
	"ADCGain"=dword:fd9b		;
	;"ADCGain"=dword:fb16		;adc +16.5db
	"Mic1Diff"=dword:1
	"MicInSel"=dword:2	;mic1
	"BTInSel"=dword:1	;DAC
	"LineInSel"=dword:10	;auxin
	"HeadphoneGainRange"=dword:0002001c	;
	;"SpeakerGainRange"=dword:0000001d	;8R
	"SpeakerGainRange"=dword:0006001d	;-43.5db~1.5db
	"AuxoutGainRange"=dword:000a0014	;
	"StereoDACVolume"=dword:0808
	"FmOutPath"=dword:1		;headphone
	

[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\WaveDev\ALC5625]
	"AmpCtrl"="IO_0_15"  ;;;;invalid  gpio
	"PreOutZeroPages"=dword:3
	"SpeakClass"=dword:1	;0->classAB, 1->classD
	"Filter384FS"=dword:1
	"AddCtrlReg"=dword:0c08		;1.25x  //0C08  [40]
	"MicCtrlReg"=dword:0401		;mic1 boost 40db [22]->0401
	"MicInVolume"=dword:0808		;mic +0db
	"ADCGain"=dword:c8c8			;adc +0db  [12]->C8C8
	"Mic1Diff"=dword:1
	"MicInSel"=dword:2	;mic1
	"BTInSel"=dword:21	;DAC and voice DAC
	"LineInSel"=dword:10	;auxin
	"AuxInSel"=dword:20	;phone
	"HeadphoneGainRange"=dword:0000001c	;-42db~0db
	"SpeakerGainRange"=dword:0000001d	;-43.5db~0db
	"AuxoutGainRange"=dword:000a0014	;
	"StereoDACVolume"=dword:1010
	"FmOutPath"=dword:1		;headphone

[HKEY_LOCAL_MACHINE\Software\RTROM]
	"Comport"=dword:2
	"ParaPath"="NULL"
	"AudioSwitchTime"=dword:1
	"AppDoneEvent"="NULL"
	"ChipResetEvent"="YFBTChipReset"
	"DevName"="YFPND"
	"YFParaPath" = "\ResidentFlash\rtdumpfile.txt"
	"YFDumpPath" = "\ResidentFlash\rtdump.psr"
;	"CareKeys"=hex:\
;	02,9b, 02,a0, 02,a2, 02,aa, \
;	02,b3, 02,b4
	"CareKeys"=hex:02,93
	"UserKey0"=hex:02,94, 00,00, 02,94, 00,00, 00,80, CD,20, 00,75, E2,00, C2,8F, 6E,05, AD,55, 04,DA,
	66,00, 66,66, 00,08, 20,10, 00,00, 01,09, 01,09, 00,00, 00,00, 00,00, 00,00, 00,00, 00,D5, 2C,00,
	CC,CC, 00,04, 00,00, 00,02, 00,0E, 1C,00, A7,D7


[HKEY_LOCAL_MACHINE\Drivers\BuiltIn\WaveDev]
	"FM1182InitParams"=hex:
	22,CE, 04,00,
	22,D3, 18,00,
	22,D4, 48,00,
	22,D5, 22,00,
	22,D6, 7F,00,
	23,01, 00,02,
	23,04, 00,15,
	23,05, 22,00,
	23,06, 7F,FF,
	23,07, 5F,FF,
	23,08, 00,7F,
	23,0B, 00,01,
	23,0D, 03,30,
	23,0E, 07,B8,
	23,12, 00,B1,
	23,14, C0,00,
	23,15, 03,CF,
	23,16, 00,75,
	23,17, 18,00,
	23,18, 0C,00,
	23,1D, 00,60,
	23,1F, 40,00,
	23,28, 00,02,
	23,2C, 00,25,
	23,30, 00,08,
	23,35, 00,04,
	23,36, 00,01,
	23,37, 50,00,
	23,3A, 00,18,
	23,3B, 00,0C,
	23,40, 00,04,
	23,41, 00,01,
	23,43, 08,00,
	23,52, 7F,00,
	23,53, 3C,00,
	23,7F, 08,00,
	23,99, 06,80,
	23,9A, 00,80,
	23,A0, 48,00,
	23,A3, 12,00,
	23,A7, 00,C0,
	23,F8, 40,03,
	23,FF, 00,00,
	23,0C, 00,00,
	00,00, 00,00
